# arm_matrix_instance_q15 Struct Reference

CMSIS-DSP: arm_matrix_instance_q15 Struct Reference

| CMSIS-DSP Version 1.8.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_matrix_instance_q15 Struct Reference

Instance structure for the Q15 matrix structure.

## Data Fields

uint16_t | numRows
uint16_t | numCols
q15_t * | pData

## Field Documentation

uint16_t arm_matrix_instance_q15::numCols

number of columns of the matrix.

uint16_t arm_matrix_instance_q15::numRows

number of rows of the matrix.

q15_t* arm_matrix_instance_q15::pData

points to the data of the matrix.